package com.ss.android.ugc.aweme.challenge;

import X.C2237Ap7;
import X.C3871BaN;
import X.C3872BaO;
import X.C3873BaP;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.IDetailPageOperatorService;
import java.util.HashMap;

public final class ChallengeDetailPageOperatorServiceImpl implements IDetailPageOperatorService {
    static {
        Covode.recordClassIndex(55653);
    }

    public final HashMap<String, C2237Ap7> LIZ() {
        HashMap<String, C2237Ap7> hashMap = new HashMap<>();
        hashMap.put("from_discovery_challenge", new C3872BaO());
        hashMap.put("from_challenge", new C3873BaP());
        hashMap.put("from_search_recalled_challenge", new C3871BaN());
        return hashMap;
    }
}
